PDA

View Full Version : OS Upgrade Question


Minister Stanley
04-13-2009, 09:35 PM
I finally decided to upgrade my T-Mobile Blackberry 8820 to Blackberry OS 4.5. I downloaded the following file:
8800M_PBr4.5.0_rel52_PL2.7.0.55_A4.5.0.37_Turkcell

I have tried everything I know to get this OS installed on my Blackberry. I'm running Vista on my laptop with Blackberry desktop software 4.7. I have removed the vendor.xml file from the folder and double-clicked loader.exe. All this does is show my apps that are already installed. I really want 4.5. All of the post make it sound so dang easy. What am I doing wrong???????

wu-wei
04-13-2009, 10:59 PM
First, I'd recommend downloading a newer version - like 4.5.0.124. It's in the stickied thread at the top of the 8800 Series forum (http://www.blackberryforums.com/general-8800-series-discussion/170496-latest-os-8820-4-5-0-174-4-5-0-124-english-east-asian.html).

Not sure which directions you're following - the ones included in the stickies are usually pretty reliable.

Also, the file you listed is for the 8800, not for the 8820. Only an 8820 file will work.

SteveO86
04-14-2009, 05:40 AM
I agree with the above poster, get a newer version of OS 4.5, from the sticky at the top of this forum, check the 8800 post since that is the device you have. Once you download the file install it like any normal application.

Once install plug in your BB launch the Desktop Manager and run the Application Loader.

kirrinjones
04-14-2009, 11:02 AM
Even if you're getting a newer upgrade, please note that you CANNOT install an 8800 OS upgrade on an 8820. You MUST install ONLY the version OS for your device model. So make sure you are installing an 8820 OS upgrade on your 8820 (I'm going by your post that you have a T-Mobile 8820).

Minister Stanley
04-14-2009, 06:13 PM
I got it solved, I got the right version, and it still took about 5 attempts before I got a successful install.